Discoveries
List active discovery sessions
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v1/discoveries/active-sessions"{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"data": [
{
"daemon_id": "0f0cd6bf-ac90-457b-aa3f-6f24990d5ff6",
"discovery_type": {
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"type": "SelfReport"
},
"phase": "AwaitingSnapshot",
"progress": 0,
"session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82",
"site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
"credential_results": [
{
"credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242",
"outcome": {
"hosts": 0,
"type": "Collected",
"hosts_with_guests_listed": [
"d7355285-20ed-4937-93e6-56d490e60d03"
]
}
}
],
"daemon_version": "string",
"discovery_id": "cdd44607-512c-4795-96df-93dabc33c12d",
"error": "string",
"estimated_remaining_secs": 0,
"finished_at": "2019-08-24T14:15:22Z",
"hosts_discovered": 0,
"last_update_at": "2019-08-24T14:15:22Z",
"reason": "Completed",
"scanned": {
"binding_ids": [
"b5aa1d90-55d4-4e37-ab54-062227ec8343"
],
"found_subnet_ids": [
"311dbb38-78e2-42f8-b62c-c104dfb59576"
],
"host_ids": [
"8bbfd9bb-c73d-4ba0-8646-be251d24b410"
],
"interface_ids": [
"513ddd9b-363c-404c-8d2f-e4772a6284ee"
],
"ip_address_ids": [
"c2bc70c8-b7ad-480c-92cd-16dcad15753f"
],
"port_ids": [
"954b3c9b-e9d3-45bb-a4a3-76cf69328728"
],
"service_ids": [
"f7eb01c9-d95f-476e-9338-df56032c0dac"
],
"subnet_ids": [
"942824b1-f36d-4404-96ac-b099828cf934"
],
"vlan_ids": [
"9d54a8f0-0127-444f-984f-03be3c3bb00d"
]
},
"started_at": "2019-08-24T14:15:22Z",
"warnings": [
{
"address": "string",
"code": "InterfaceSetCutShort",
"collected": 0,
"credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242",
"snmp_version": "V1"
}
]
}
],
"error": "string"
}Product names and logos are trademarks of their respective owners. See credits.